<?php
/*
version 1.0
date 2015-02-17
use
#---------------------------------
 */
defined('XOOPS_ROOT_PATH') || die("XOOPS root path not defined");
###############################################################################
# 設定 ugm_set_meta page_title
################################################################################
if(!function_exists("ugm_module_set_meta")){
function ugm_module_set_meta($meta_keywords="",$meta_description="",$pagetitle="",$og_image="",$author=""){
  global $xoopsDB , $xoopsTpl , $xoTheme;
  $sql = "select conf_value
          from      ".$xoopsDB->prefix("config")."
          where  `conf_name`='meta_keywords'";//die($sql);
  $result = $xoopsDB->query($sql) or redirect_header($_SERVER['PHP_SELF'],3, mysql_error());
  $DBV=$xoopsDB->fetchArray($result);
  //設定頁面關鍵字（用 , 隔開）
  $meta_keywords =$DBV['conf_value']? $meta_keywords.",".$DBV['conf_value']:$meta_keywords;

  $sql = "select conf_value
          from      ".$xoopsDB->prefix("config")."
          where  `conf_name`='meta_description'";//die($sql);
  $result = $xoopsDB->query($sql) or redirect_header($_SERVER['PHP_SELF'],3, mysql_error());
  $DBV=$xoopsDB->fetchArray($result);
  //設定關鍵字說明
  $meta_description = $DBV['conf_value']?$meta_description.",".$DBV['conf_value']:$meta_description;
  if(isset($xoTheme) && is_object($xoTheme)) {
      $xoTheme->addMeta( 'meta', 'keywords', $meta_keywords);
      $xoTheme->addMeta( 'meta', 'description', $meta_description);
      $xoTheme->addMeta( 'meta', 'author', $author);
  } else {    // Compatibility for old Xoops versions
      $xoopsTpl->assign('xoops_meta_keywords', $meta_keywords);
      $xoopsTpl->assign('xoops_meta_description', $meta_description);
      $xoopsTpl->assign('xoops_meta_author', $author);
  }
  $xoopsTpl->assign('xoops_pagetitle', $pagetitle);
  if($og_image){
    $og_image="<meta property='og:image' content='{$og_image}'>\n<link href='{$og_image}' rel='image_src' type='image/jpeg'>";
    $xoopsTpl->assign('xoops_module_header', $og_image);
  }
}
}
###############################################################################
#  自動取得新排序
###############################################################################
if(!function_exists("get_ugm_module_max_sort")){
function get_ugm_module_max_sort($col="sort",$tbl=""){
  global $xoopsDB;
  $sql = "select max({$col}) from ".$xoopsDB->prefix($tbl)."";
  $result = $xoopsDB->query($sql) or redirect_header($_SERVER['PHP_SELF'],3, mysql_error());
  list($sort)=$xoopsDB->fetchRow($result);
  return ++$sort;
}
}
####################################################################################
#  以$sql取得某筆分類資料
#  get_ugm_module_tbs($sql)
####################################################################################
if(!function_exists("get_ugm_module_sql")){
function get_ugm_module_sql($sql=""){
  global $xoopsDB;
  if(empty($sql)) return;
  //$sql = "select * from ".$xoopsDB->prefix($tbl)." where sn='{$sn}'";
  $result = $xoopsDB->query($sql) or redirect_header($_SERVER['PHP_SELF'],3, mysql_error());
  return $xoopsDB->fetchArray($result);
}
}

###############################################################################
#  立即寄出
###############################################################################
function send_now($emails, $subject,$content){
  global $xoopsConfig,$xoopsDB;
  //sendMail($email, $subject, $body, $headers)
  $xoopsMailer =& getMailer();
  $xoopsMailer->multimailer->ContentType="text/html";
  $xoopsMailer->addHeaders("MIME-Version: 1.0");

  $email_arr=explode(";",$emails);
  foreach($email_arr as $email){
    $email=trim($email);
    if(!empty($email)){
      $xoopsMailer->sendMail($email,$subject, $content,$headers);
    }
  }
}
###############################################################################
#  前台工具列
###############################################################################
if(!function_exists('ugm_toolbar_b3')){
  function ugm_toolbar_b3($interface_menu=array()){
    global $xoopsUser,$xoopsModule;

    if ($xoopsUser) {
      $module_id = $xoopsModule->getVar('mid');//取得模組mid
      $isAdmin=$xoopsUser->isAdmin($module_id);//是否有模組管理權
      $mod_name=$xoopsModule->getVar('name');//取得模組名稱
    }else{
      $isAdmin=false;
      $mod_name="";
    }

    if(empty($interface_menu))return;
    $jquery=get_jquery();

    $basename=basename($_SERVER['SCRIPT_NAME']);
    //die($basename);//index.php
    $main.="
      <div style='margin:20px 0px;'>
        <div class='btn-group'>";
          foreach($interface_menu as $v){
            $active=($v['url']==$basename)?" active":"";
            if($v['sub']){
              #有下層
            }else{
              #只有一層
              if($v['title']==_TAD_TO_MOD){
                #首頁
                $main.="
                <button type='button' class='btn btn-default{$active}' title='{$v['title']}' alt='{$v['title']}' onclick=\"window.location='{$v['url']}';\">
                  <i class='glyphicon glyphicon-home'></i> </span>
                </button>";
              }else{
                #他頁
                $main.="
                <button type='button' class='btn btn-default{$active}' title='{$v['title']}' alt='{$v['title']}' onclick=\"window.location='{$v['url']}';\">
                  {$v['title']}
                </button>";
              }
            }
          }
        if($isAdmin and $module_id){
          $main.="
            <div class='btn-group'>
              <button type='button' class='btn btn-default dropdown-toggle' data-toggle='dropdown' aria-expanded='false'>
                "._TAD_TF_MODULE_CONFIG." <span class='caret'></span>
              </button>
              <ul class='dropdown-menu' role='menu'>
                <li><a href='admin/index.php'>".sprintf(_TAD_ADMIN,$mod_name)."</a></li>
                <li><a href='".XOOPS_URL."/modules/system/admin.php?fct=preferences&op=showmod&mod={$module_id}'>".sprintf(_TAD_CONFIG,$mod_name)."</a></li>
                <li><a href='".XOOPS_URL."/modules/system/admin.php?fct=blocksadmin&op=list&filter=1&selgen={$module_id}&selmod=-2&selgrp=-1&selvis=-1'>".sprintf(_TAD_BLOCKS,$mod_name)."</a></li>
              </ul>
            </div>
          ";
        }
        $main.="
            </div>
          </div>";
        return $main;
  }
}
/*
###############################################################################
#  前台工具列
###############################################################################
if(!function_exists('ugm_toolbar_b3')){
  function ugm_toolbar_b3($interface_menu=array()){
    global $xoopsUser,$xoopsModule;

    if ($xoopsUser) {
      $module_id = $xoopsModule->getVar('mid');//取得模組mid
      $isAdmin=$xoopsUser->isAdmin($module_id);//是否有模組管理權
      $mod_name=$xoopsModule->getVar('name');//取得模組名稱
    }else{
      $isAdmin=false;
      $mod_name="";
    }

    if(empty($interface_menu))return;
    $jquery=get_jquery();

    $basename=basename($_SERVER['SCRIPT_NAME']);
    //die($basename);
    $main.="
      <div style='margin-bottom:20px;'>
        <div class='btn-group'>";
    foreach($interface_menu as $v){
      $active=($v['url']==$basename)?" active":"";
      if($v['sub']){
        #有下層
      }else{
        #只有一層
        if($v['title']==_TAD_TO_MOD){
          #首頁
          $main.="
          <button type='button' class='btn btn-default{$active}' title='{$v['title']}' alt='{$v['title']}' onclick=\"window.location='{$v['url']}';\">
            <i class='glyphicon glyphicon-home'></i> </span>
          </button>";
        }else{
          #他頁
          $main.="
          <button type='button' class='btn btn-default{$active}' title='{$v['title']}' alt='{$v['title']}' onclick=\"window.location='{$v['url']}';\">
            {$v['title']}
          </button>";
        }
      }
    }
    if($isAdmin and $module_id){
      $main.="
        <button type='button' class='btn btn-default dropdown-toggle' data-toggle='dropdown' aria-expanded='false'>
          後台管理 <span class='caret'></span>
        </button>
        <ul class='dropdown-menu' role='menu'>
          <li><a href='admin/index.php'>".sprintf(_TAD_ADMIN,$mod_name)."</a></li>
          <li><a href='".XOOPS_URL."/modules/system/admin.php?fct=preferences&op=showmod&mod={$module_id}'>".sprintf(_TAD_CONFIG,$mod_name)."</a></li>
          <li><a href='".XOOPS_URL."/modules/system/admin.php?fct=blocksadmin&op=list&filter=1&selgen={$module_id}&selmod=-2&selgrp=-1&selvis=-1'>".sprintf(_TAD_BLOCKS,$mod_name)."</a></li>
        </ul>
      ";
    }
    $main.="
        </div>
      </div>";
    return $main;
  }
}
*/


###############################################################################
#  取得目前網址
###############################################################################
if(!function_exists("getCurrentUrl")){
function getCurrentUrl(){
  global $_SERVER;
  $protocol = strpos(strtolower($_SERVER['SERVER_PROTOCOL']),'https')=== FALSE ? 'http' : 'https';
  $host     = $_SERVER['HTTP_HOST'];
  $script   = $_SERVER['SCRIPT_NAME'];
  $params   = $_SERVER['QUERY_STRING']?'?' . $_SERVER['QUERY_STRING']:"";

  $currentUrl = $protocol . '://' . $host . $script .  $params;
  //die( $currentUrl);
  return $currentUrl;;
}
}

################################################################################
#   檢查某資料表的某欄位是否有資料(資料表,key欄位名,key值)
#   1. 有資料 ->  true
#   2. 無資料 ->  false
#
################################################################################
if(!function_exists("check_tbl_col_sn")){
function check_tbl_col_sn($tbl="",$col="",$sn=""){
  global $xoopsDB;
  if(empty($tbl) or empty($col) or empty($sn)) return false;
  $sql = "select count(*) from ".$xoopsDB->prefix($tbl)."
          where `{$col}`='{$sn}'";
  $result = $xoopsDB->query($sql) or redirect_header($_SERVER['PHP_SELF'],3, mysql_error());
  list($count)=$xoopsDB->fetchRow($result);
  if($count)return true;
  return false;
}
}
#####################################################################################
#  自動取得(排序欄位,資料表)的最新排序
#  get_ugm_module_max_sort($col,$tbl)
#  (排序欄位,資料表)#
#####################################################################################
if(!function_exists("get_ugm_module_max_sort")){
function get_ugm_module_max_sort($col,$tbl){
  global $xoopsDB;
  if(empty($col) or empty($tbl))return;
  $sql = "select max($col) from ".$xoopsDB->prefix($tbl);
  $result = $xoopsDB->query($sql) or redirect_header($_SERVER['PHP_SELF'],3, mysql_error());
  list($sort)=$xoopsDB->fetchRow($result);
  return ++$sort;
}
}
####################################################################################
#  以流水號取得某筆分類資料
#  get_ugm_module_tbs(流水號,資料表)
####################################################################################
if(!function_exists("get_ugm_module_tbl")){
function get_ugm_module_tbl($sn="",$tbl=""){
  global $xoopsDB;
  if(empty($sn) or empty($tbl))return;
  $sql = "select * from ".$xoopsDB->prefix($tbl)." where sn='{$sn}'";
  $result = $xoopsDB->query($sql) or redirect_header($_SERVER['PHP_SELF'],3, mysql_error());
  $data=$xoopsDB->fetchArray($result);
  return $data;
}
}

####################################################################################
#  以$sql取得某筆分類資料
#  get_ugm_module_tbs($sql)
####################################################################################
if(!function_exists("get_ugm_module_sql")){
function get_ugm_module_sql($sql=""){
  global $xoopsDB;
  if(empty($sql)) return;
  //$sql = "select * from ".$xoopsDB->prefix($tbl)." where sn='{$sn}'";
  $result = $xoopsDB->query($sql) or redirect_header($_SERVER['PHP_SELF'],3, mysql_error());
  return $xoopsDB->fetchArray($result);
}
}
################################################################################
#   燈箱打包碼(內容,標題)
################################################################################
if(!function_exists("show_lytebox_html")){
function show_lytebox_html($content,$title){
  global $xoopsModule;
  $DIRNAME=$xoopsModule->getVar('dirname');
  $jquery=get_jquery();
  $main="
    <!DOCTYPE html>
    <html lang='"._LANGCODE."'>
      <head>
        <meta charset='"._CHARSET."'>
        <title></title>
        <meta name='viewport' content='width=device-width, initial-scale=1.0'>
        <link rel='stylesheet' type='text/css' media='screen' href='".XOOPS_URL."/modules/tadtools/bootstrap/css/bootstrap.css' />
        <link rel='stylesheet' type='text/css' media='screen' href='".XOOPS_URL."/modules/tadtools/bootstrap/css/bootstrap-responsive.css' />
        <link rel='stylesheet' type='text/css' media='screen' href='".XOOPS_URL."/modules/tadtools/css/xoops_adm.css' />
        <link rel='stylesheet' type='text/css' media='screen' href='".XOOPS_URL."/modules/{$DIRNAME}/css/module.css' />
      </head>
      <body>
        <div class='container'>
          <h1>{$title}</h1>
          $content
        </div>
        $jquery
        <script src='".XOOPS_URL."/modules/tadtools/bootstrap/js/bootstrap.min.js'></script>
      </body>
    </html>
    ";
  return $main;
}
}################################################################################
#   燈箱打包碼(內容,標題)
################################################################################
if(!function_exists("show_lytebox_html_b3")){
function show_lytebox_html_b3($content,$title){
  global $xoopsModule;
  $DIRNAME=$xoopsModule->getVar('dirname');
  $jquery=get_jquery();
  $main="
    <!DOCTYPE html>
    <html lang='"._LANGCODE."'>
      <head>
        <meta charset='"._CHARSET."'>
        <title></title>
        <link rel='stylesheet' type='text/css' media='screen' href='".XOOPS_URL."/modules/tadtools/bootstrap3/css/bootstrap.css'>
        <link rel='stylesheet' type='text/css' media='screen' href='".XOOPS_URL."/modules/tadtools/css/xoops_adm3.css'>
        <link rel='stylesheet' type='text/css' media='screen' href='".XOOPS_URL."/modules/{$DIRNAME}/css/module_b3.css'>
        {$jquery}
      </head>
      <body>
        <div class='container-fluid'>
          <h1>{$title}</h1>
          $content
        </div>
      </body>
    </html>
    ";
  return $main;
}
}
###############################################################################
# 日期選單
################################################################################
if(!function_exists("js_dateTime_code")){
function js_dateTime_code(){
  $main="
  <script type='text/javascript' src='".XOOPS_URL."/modules/tadtools/My97DatePicker/WdatePicker.js'></script>
  ";
  return $main;
}
}
###############################################################################
# 啟用 停用 option
################################################################################
if(!function_exists("get_use_enable_option")){
#取得enable選項
function get_use_enable_option($enable="1"){
  $checked_1=$enable?" checked":"";
  $checked_0=!$enable?" checked":"";
  $main="
  <input type='radio' name='enable' id='enable_1' value='1'{$checked_1}>
  <label for='enable_1' class='checkbox-inline'>本文</label>
  <input type='radio' name='enable' id='enable_0' value='0'{$checked_0}>
  <label for='enable_0' class='checkbox-inline'>草稿</label>
  ";
  return $main;
}
}

?>
